## org.eclipse.emf.ecore.sdo
Interface EChangeSummarySetting

All Superinterfaces:
  ChangeSummary.Setting, EObject, FeatureChange, Notifier

All Known Implementing Classes:
  EChangeSummarySettingImpl

    public interface EChangeSummarySetting

extends FeatureChange, ChangeSummary.Setting

A representation of the model object 'EChange Summary Setting'.

See Also:
  `SDOPackage.getEChangeSummarySetting()`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.change.FeatureChange
`apply, applyAndReverse, getDataValue, getFeature, getFeatureName, getListChanges, getReferenceValue, getValue, isSet, isSetFeature, isSetFeatureName, setDataValue, setFeature, setFeatureName, setReferenceValue, setSet, unsetFeature, unsetFeatureName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.ChangeSummary.Setting
`getProperty, getValue, isSet`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.